DEBMANY(1)

NAME
debmany - Wählen von Manpages oder Dokumentationen aus installierten Paketen, Paketen des Repositories oder .deb-Dateien zum Betrachten mit "man" bzw. "sensible-pager" oder einem alternativen Viewer.

SYNTAX
debmany --help
debmany [-v[v]] [-k|-g|-x] [-m manpageviewer] [-o otherviewer] [-L Limit] [-l Sprache1[,...]] Paket|Paket.deb
debmany [-v[v]] [-k|-g|-x] [-m manpageviewer] [-o otherviewer] [-L Limit] [-l Sprache1[,...]] -z [Paket|Paket.deb]

BESCHREIBUNG

Wählen Sie eine Manpage oder Dateien aus usr/share/doc von einem Debian Paket um sie mit "man" oder "sensible-pager" bzw. einem alternativen Viewer zu betrachten. Die Liste der Dateien wird in einem Dialog dargestellt. Unterstützte Quellen für Debian Pakete sind: Lokale .deb-Datei, ein Paket aus dem Repository oder ein installiertes Paket.

--help
    zeigt eine kurze Hilfe und beendet sich

-k  Zeigt die Manpage im bevorzugten Viewer (muss .gz Dateien unterstützen) an, falls Sie KDE benutzen - Kurzform von -m 'kfmclient exec man:%s' bzw. 'kfmclient exec %s' für andere Dateien. "kfmclient" ist Teil des Paketes "konqueror" (zumindest in Debian Etch).

-g  Zeigt die Manpage im bevorzugten Viewer (muss .gz Dateien unterstützen) an, falls Sie GNOME benutzen - Kurzform von -m 'gnome-open man:%s'. "gnome-open" ist Teil des Paketes "libgnome2-0" (zumindest in Debian Etch).

-x  Zeigt die Manpage im bevorzugten Viewer (muss .gz Dateien unterstützen) an, falls Sie KDE/GNOME/Xfce benutzen - Kurzform von -m 'xdg-open man:%s'. "xdg-open" ist Teil des Paketes "xdg-utils" (zumindest in Debian Etch).

-m manpageviewer
    Überschreibt den Manpageviewer. Der Viewer muss .gz Dateien unterstützen. Es ist zu beachten, dass der komplette Aufruf formuliert werden muss. "%s" wird durch den Pfad zur Manpage ersetzt. Wenn "%s" fehlt wird " %s" an den Manpageviewer angehängt. Der Aufruf muss in "" oder '' gefasst werden - siehe Beispiele. Bei der Benutzung eines grafischen Manpageviewers müssen Sie sicherstellen, dass Sie Zugriff auf den Desktop haben (ggf.: sux oder ssh mit x-forwarding)

-o otherviewer
    Überschreibt den Viewer für sonstige Dateien (/usr/share/doc).

-L Limit
    Überschreitet ein File, das per Download heruntergeladen werden muss, das Limit so werden Sie gefragt, ob der Download stattfinden soll. Ohne Angabe einer Einheit ist die Angabe in Bytes. Durch Anhängen der Buchstaben K, M, G oder T kann die Einheit geändert werden.

-l Sprache1[,...]
    Englische Manpages werden immer angezeigt. Wenn Sie mehr Sprachen sehen wollen, so können Sie dies hier festlegen. Im Prinzip geben Sie hier eine mit Komma getrennte Liste der Ordner aus den Manpage Ordnern (/usr/share/man) an - z. B. de,fr oder "zh*" wenn Sie alle chinesischen Manpages (sowohl das einfache "zh_CN" als auch das traditionelle Chinesisch "zh_TW") sehen wollen. Sicherheitshalber kann man auch immer "*" am Ende der Sprache anhängen. Bei der Installation ggf. dynamisch generierte zeichensatzbasierte Abwandlungen stehen nicht zur Auswahl.

-z  Zur Auswahl der Dateien und ggf. zur Eingabe des Paketes wird "zenity" (grafischer Dialog) verwendet. Hierzu muss man berechtigt sein, X-Programme zu starten. Diese Option in Kombination mit den Parametern -k, -g, -x bzw. -m und -o ermöglicht es, debmany ohne Console zu verwenden.

Die Manpages werden temporär nach /tmp oder /var/tmp extrahiert. Durch das Setzen und Exportieren der Umgebungsvariable TMPDIR bzw. das Setzen als temporären Variable kann der Speicherort überschrieben werden.

Das Debian Paket "whiptail" (bevorzugt) oder "dialog" sowie "curl" muss installiert sein.

BEISPIELE

debmany coreutils
    Zeigt alle Manpages des installierten Debian Pakets "coreutils" mit "man" an.

debmany 3dchess
    Zeigt alle Manpages des Paketes "3dchess" mit "man" an. Da es noch nicht installiert ist wird es vom Repository bezogen - wenn nötig auch per Download.

debmany test.deb
    Zeigt alle Manpages des lokalen Debian Paketes "./test.deb" mit "man" an.

debmany -k sc
    Benutzt den bevorzugten Manviewer (für KDE Anwender)

debmany -g sc
    Benutzt den bevorzugten Manviewer (für GNOME Anwender)

debmany -x sc
    Benutzt den bevorzugten Manviewer (für KDE/GNOME/Xfce Anwender)

debmany -z -k
    Benutzt "zenity" um Dateien auszuwählen und Paketnamen einzugeben.

TMPDIR=~/tmp debmany -m 'konqueror man:%s' sc
    Benutzt ~/tmp als temporären Ordner und Konqueror als Viewer

alias debmany='debmany -l de -L 5M -k'; debmany -m man -l "zh*" foo
    Setzte einen Alias um die bevorzugten Optionen festzulegen. Diese können, wie man sieht, jederzeit überschrieben werden.

vi /usr/local/bin/ask # nach dem Speichern: chmod 755 ask
    #!/bin/dash
    read -p "Programm zum Öffnen: " pgm
    eval $pgm "$1"
    debmany -o ask
    Beim Öffnen einer Datei aus usr/share/doc wird man nach dem Programm, mit dem man sie öffnen möchte, gefragt.

AUTOR
Geschrieben von Michael Arlt.

LIZENZ
This is free software. You may redistribute copies of it under the terms of the GNU General Public License <https://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.